using System.Windows;

namespace WPF控件_8_ScrollViewer;

/// <summary>
///     Interaction logic for MainWindow.xaml
/// </summary>
public partial class MainWindow : Window
{
    public MainWindow()
    {
        InitializeComponent();
    }

    private void LineUpButton_OnClick(object sender, RoutedEventArgs e)
    {
        MyScrollViewer.LineUp();
    }

    private void LineDownButton_OnClick(object sender, RoutedEventArgs e)
    {
        MyScrollViewer.LineDown();
    }

    private void PageUpButton_OnClick(object sender, RoutedEventArgs e)
    {
        MyScrollViewer.PageUp();
    }

    private void PageLeftButton_OnClick(object sender, RoutedEventArgs e)
    {
        MyScrollViewer.PageLeft();
    }
}